/* JobServer 3.0.0 sql for Oracle */

alter table js_jobdate add CONSTRAINT js_jobdate_pk PRIMARY KEY (idRec);
alter table js_res_grp add CONSTRAINT js_res_grp_pk PRIMARY KEY (id);
drop index js_job_idx;
alter table js_job add CONSTRAINT js_job_pk PRIMARY KEY (idJob);
drop index js_jobbean_idx;
alter table js_jobbean add CONSTRAINT js_jobbean_pk PRIMARY KEY (id);
DROP INDEX js_persqueue_idx;
alter table js_persqueue add CONSTRAINT js_persqueue_pk PRIMARY KEY (idRun);
drop index js_opstatus_idx;
alter table js_opstatus add CONSTRAINT js_opstatus_pk PRIMARY KEY (idRun);
drop index js_wbstatus_idx;
alter table js_wbstatus add CONSTRAINT js_wbstatus_pk PRIMARY KEY (idRun);
alter table js_engstatus add CONSTRAINT js_engstatus_pk PRIMARY KEY (idRun);
alter table js_juser add CONSTRAINT js_juser_pk PRIMARY KEY (stUserName);
alter table js_jobgroup add CONSTRAINT js_jobgroup_pk PRIMARY KEY (id);
alter table js_user_region add CONSTRAINT js_user_region_pk PRIMARY KEY (stUsername, stRegionName);
alter table js_user_jobgroup add CONSTRAINT js_user_jobgroup_pk PRIMARY KEY (stUsername, idJobGroup);
alter table js_user_partition add CONSTRAINT js_user_partition_pk PRIMARY KEY (stUsername, idPartition);
alter table js_depend add CONSTRAINT js_depend_pk PRIMARY KEY (stname);

/*******/

INSERT INTO js_serial_tbl (type,maxid) VALUES (8, 0);
INSERT INTO js_serial_tbl (type,maxid) VALUES (9, 0);
alter table js_res_grp add ifreezelocal number(7) DEFAULT 1;
alter table js_res_grp add ilocalschedsize number(7) DEFAULT 2;
alter table js_res_grp add bUseRemoteAgents number(2) DEFAULT 2;
alter table js_job add tRetired number(2) DEFAULT 1;
alter table js_opstatus add idNode number(20) DEFAULT -3;
alter table js_wbstatus add idNode number(20) DEFAULT -3;

CREATE TABLE js_node_partition_rel
(
 idNode number(20) not null,
 idPartition number(20) not null,
 iSize number(7) DEFAULT 0,
 bActive number(2) DEFAULT 1,

 CONSTRAINT js_node_partition_rel_pk PRIMARY KEY (idNode, idPartition)
);

CREATE TABLE js_node
(
 idnode number(20) not null,
 stname varchar2(64) not null,
 sthostname varchar2(128) not null,
 iport number(7) not null,
 bactive number(2) DEFAULT 1,
 iJvmMaxMem number(7) DEFAULT -1,
 stOtherJvmOptions varchar2(128) DEFAULT '',
 bNodeOnly number(2) DEFAULT 1,
 bDeleteFlag number(2) DEFAULT 2,
 dtTime date,
 bCleaned number(2) DEFAULT 2,

 CONSTRAINT js_node_pk PRIMARY KEY (idNode)
);

CREATE TABLE js_nodestatus
(
 idrun number(20) not null,
 idnode number(20) not null,
 stname varchar2(64) not null,
 sthostname varchar2(128) not null,
 dtstart date not null,
 dtexit date,
 iexitstatus number(2) DEFAULT 0,
 imanualstart number(2) DEFAULT 1,

 CONSTRAINT js_nodestatus_pk PRIMARY KEY (idrun)
 );

CREATE INDEX js_nodestatus_idx ON js_nodestatus (dtStart);






