/*
 * This file is part of the SOAFaces Project (hereinafter "SOAFaces").
 * Copyright (C) 2006 Grand Logic, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.soafaces.bundle.client.rpc;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * Thrown when there is a problem during GUI/Weblet interaction with the remote server
 * when sending/receiving data.
 * 
 * @author Sam Taha
 */
public class BeanTransferException extends Exception implements IsSerializable {

  /**
   * Creates a new instance without detail message.
   */
  public BeanTransferException() {
  }

  /**
   * Constructs an instance with the specified detail message.
   * @param msg the detail message.
   */
  public BeanTransferException(String msg) {
    super(msg);
  }
}
