/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.soafaces.services.client.rpc;

/**
 * Factory used to create new instances of UniversalClient objects.
 * 
 * @author Sam Taha
 */
public class UniversalClientFactory {

  private static UniversalClientFactory _oSelf=null;
  
  private UniversalClientFactory() {
    
  }
  
  public static UniversalClientFactory getInstance() {
    if(_oSelf == null)
      _oSelf = new UniversalClientFactory();
    
    return _oSelf;
  }
  
  /**
   * Gets a new UniversalClient interfaces and routs RPC calls to the Servlet
   * mapped to the given uri.
   *  
   * @param uri of the Servlet that implements the server RPC, such as
   * <code>org.soafaces.sercices.server.rpc.BasicUniversalClientRPCImpl</code>.
   * @return
   */
  public UniversalClient getUniversalClient(String uri) {
    return new UniversalClientProxy(uri);
  }
}
